import {createRouter, createWebHistory, RouterOptions} from 'vue-router'
import {routes} from "../config/menu";
import {getStore} from "../utils/userinfo";
// @ts-ignore
const userInfo = getStore('mining-manager')
const router=createRouter(<RouterOptions>{
    history: createWebHistory(),
    routes,
})
router.beforeEach((to,from,next)=>{
    // console.log(to,from,'???')
    if(to.path!=='/login'&&!userInfo?.token){
        next({path:'/login'})
    }else{
        next()
    }
})
export default router